Name:           diffpdf
Version:        2.1.3.1
Release:        %mkrel 3
Summary:        PDF files comparator

Group:          File tools
License:        GPLv2+
URL:            https://www.qtrac.eu/diffpdf-foss.html
Source0:        https://gitlab.com/eang/diffpdf/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

Patch1:         diffpdf_cmake_minimum_version.patch

BuildRequires:  cmake
BuildRequires:  cmake(ECM)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(poppler-qt5)

%description
DiffPDF is used to compare two PDF files. By default the comparison is
of the text on each pair of pages, but comparing the appearance of pages
is also supported (for example, if a diagram is changed or a paragraph
reformatted). It is also possible to compare particular pages or page
ranges.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}/DiffPDF

%files
%doc CHANGES help_cz.html help_de.html help_fr.html help.html README
%license gpl-2.0.txt
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/eu.qtrac.diffpdf.desktop
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Jul 10 2025 mrambo3501 <mrambo3501> 2.1.3.1-3.mga10
+ Revision: 2252740
- add cmake minimum version patch
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Fri May 10 2024 daviddavid <daviddavid> 2.1.3.1-1.mga10
+ Revision: 2063277
- new version: 2.1.3.1

* Sun Apr 03 2022 umeabot <umeabot> 2.1.3-11.mga9
+ Revision: 1842029
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 2.1.3-10.mga8
+ Revision: 1658320
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 2.1.3-9.mga8
+ Revision: 1524538
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 2.1.3-8.mga7
+ Revision: 1381533
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1.3-7.mga7
+ Revision: 1297442
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 daviddavid <daviddavid> 2.1.3-6.mga7
+ Revision: 1220062
- add patch from Debian to port to Qt5 and poppler-qt5

* Mon Nov 28 2016 luigiwalser <luigiwalser> 2.1.3-5.mga6
+ Revision: 1070613
- rebuild for poppler

* Wed Feb 03 2016 umeabot <umeabot> 2.1.3-4.mga6
+ Revision: 933800
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.3-3.mga5
+ Revision: 749827
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.3-2.mga5
+ Revision: 678739
- Mageia 5 Mass Rebuild

* Tue Mar 04 2014 akien <akien> 2.1.3-1.mga5
+ Revision: 599454
- New 2.1.3 release
- Change URL to the archive GPLv2 diffpdf homepage, newer releases than 2.1.3 are proprietary

* Fri Oct 18 2013 umeabot <umeabot> 2.1.2-2.mga4
+ Revision: 522344
- Mageia 4 Mass Rebuild

* Wed Feb 20 2013 stormi <stormi> 2.1.2-1.mga3
+ Revision: 399525
- Import diffpdf from fedora
- Created package structure for diffpdf.

